# Crm.Asset

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**ID** | **String** | Taxnexus Record Id | [optional] 
**accountID** | **String** | Account | [optional] 
**address** | [**Address**](Address.md) |  | [optional] 
**assetLevel** | **Number** | Asset Level | [optional] 
**name** | **String** | Asset Name | [optional] 
**assetProvidedByID** | **String** | Asset Provided By | [optional] 
**assetServicedByID** | **String** | Asset Serviced By | [optional] 
**companyProductID** | **String** | Company Product | [optional] 
**isCompetitorProduct** | **Boolean** | Competitor Asset | [optional] 
**consequenceOfFailure** | **String** | Consequence Of Failure | [optional] 
**contactID** | **String** | Contact | [optional] 
**createdByID** | **String** | Created By | [optional] 
**createdDate** | **String** | Created Date | [optional] 
**currentAmount** | **Number** | Current Amount | [optional] 
**currentLifecycleEndDate** | **String** | Current Lifecycle End Date | [optional] 
**currentMrr** | **Number** | Current Monthly Recurring Revenue | [optional] 
**currentQuantity** | **Number** | Current Quantity | [optional] 
**description** | **String** | Description | [optional] 
**digitalAssetStatus** | **String** | Digital Asset Status | [optional] 
**externalIdentifier** | **String** | External Id | [optional] 
**hasLifecycleManagement** | **Boolean** | Has Lifecycle Management | [optional] 
**installDate** | **String** | Install Date | [optional] 
**isInternal** | **Boolean** | Internal Asset | [optional] 
**lastModifiedByID** | **String** | Last Modified By | [optional] 
**lastModifiedDate** | **String** | Last Modified Date | [optional] 
**locationID** | **String** | Location | [optional] 
**manufactureDate** | **String** | Manufacture Date | [optional] 
**mIMEType** | **String** | MIME Type | [optional] 
**parentID** | **String** | Parent Asset | [optional] 
**price** | **Number** | Price | [optional] 
**product2ID** | **String** | Product | [optional] 
**productCode** | **String** | Product Code | [optional] 
**productDescription** | **String** | Product Description | [optional] 
**productFamily** | **String** | Product Family | [optional] 
**stockKeepingUnit** | **String** | Product SKU | [optional] 
**purchaseDate** | **String** | Purchase Date | [optional] 
**quantity** | **Number** | Quantity | [optional] 
**rootAssetID** | **String** | Root Asset | [optional] 
**serialNumber** | **String** | Serial Number | [optional] 
**status** | **String** | Status | [optional] 
**statusReason** | **String** | Status Reason | [optional] 
**tenantID** | **String** | Tenant ID | [optional] 
**totalLifecycleAmount** | **Number** | Total Lifecycle Amount | [optional] 
**type** | **String** | Type | [optional] 
**UUID** | **String** | Unique Identifier | [optional] 
**URL** | **String** | URL | [optional] 
**usageEndDate** | **String** | Usage End Date | [optional] 


