# Devops.CorsApi

All URIs are relative to *http://devops.vernonkeenan.com:8080/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**clusterOptions**](CorsApi.md#clusterOptions) | **OPTIONS** /clusters/observable | 
[**clustersOptions**](CorsApi.md#clustersOptions) | **OPTIONS** /clusters | 
[**databaseOptions**](CorsApi.md#databaseOptions) | **OPTIONS** /databases/observable | 
[**databasesOptions**](CorsApi.md#databasesOptions) | **OPTIONS** /databases | 
[**templateOptions**](CorsApi.md#templateOptions) | **OPTIONS** /templates/observable | 
[**templatesOptions**](CorsApi.md#templatesOptions) | **OPTIONS** /templates | 
[**tenantOptions**](CorsApi.md#tenantOptions) | **OPTIONS** /tenants/observable | 
[**tenantsOptions**](CorsApi.md#tenantsOptions) | **OPTIONS** /tenants | 
[**userOptions**](CorsApi.md#userOptions) | **OPTIONS** /users/observable | 
[**usersOptions**](CorsApi.md#usersOptions) | **OPTIONS** /users | 



## clusterOptions

> clusterOptions()



CORS support

### Example

```javascript
import Devops from 'devops';

let apiInstance = new Devops.CorsApi();
apiInstance.clusterOptions((error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
});
```

### Parameters

This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## clustersOptions

> clustersOptions()



CORS support

### Example

```javascript
import Devops from 'devops';

let apiInstance = new Devops.CorsApi();
apiInstance.clustersOptions((error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
});
```

### Parameters

This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## databaseOptions

> databaseOptions()



CORS support

### Example

```javascript
import Devops from 'devops';

let apiInstance = new Devops.CorsApi();
apiInstance.databaseOptions((error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
});
```

### Parameters

This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## databasesOptions

> databasesOptions()



CORS support

### Example

```javascript
import Devops from 'devops';

let apiInstance = new Devops.CorsApi();
apiInstance.databasesOptions((error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
});
```

### Parameters

This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## templateOptions

> templateOptions()



CORS support

### Example

```javascript
import Devops from 'devops';

let apiInstance = new Devops.CorsApi();
apiInstance.templateOptions((error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
});
```

### Parameters

This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## templatesOptions

> templatesOptions()



CORS support

### Example

```javascript
import Devops from 'devops';

let apiInstance = new Devops.CorsApi();
apiInstance.templatesOptions((error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
});
```

### Parameters

This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## tenantOptions

> tenantOptions()



CORS support

### Example

```javascript
import Devops from 'devops';

let apiInstance = new Devops.CorsApi();
apiInstance.tenantOptions((error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
});
```

### Parameters

This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## tenantsOptions

> tenantsOptions()



CORS support

### Example

```javascript
import Devops from 'devops';

let apiInstance = new Devops.CorsApi();
apiInstance.tenantsOptions((error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
});
```

### Parameters

This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## userOptions

> userOptions()



CORS support

### Example

```javascript
import Devops from 'devops';

let apiInstance = new Devops.CorsApi();
apiInstance.userOptions((error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
});
```

### Parameters

This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## usersOptions

> usersOptions()



CORS support

### Example

```javascript
import Devops from 'devops';

let apiInstance = new Devops.CorsApi();
apiInstance.usersOptions((error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
});
```

### Parameters

This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

