# SfGate.Account

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**tenantid** | **String** | tenant identifier | [optional] 
**accountnumber** | **String** | Account Number | [optional] 
**accountsource** | **String** | The marketing orgin of this account | [optional] 
**active** | **Boolean** | Active | [optional] 
**administrativelevel** | **String** | For tax authorities, this account&#39;s administrative level, e.g. Local, County, State or Federal | [optional] 
**amount** | **Number** | Rollup Tax Amount | [optional] 
**amountinvoiced** | **Number** | Amount Invoiced | [optional] 
**amountpaid** | **Number** | Amount Paid | [optional] 
**annualrevenue** | **Number** | Annual Revenue Estimate | [optional] 
**balance** | **Number** | Account Balance | [optional] 
**billingaddress** | [**Address**](Address.md) |  | [optional] 
**billingcontactid** | **String** | Contact ID | [optional] 
**billingpreference** | **String** | Billing Preference | [optional] 
**businessaddress** | [**Address**](Address.md) |  | [optional] 
**cannabiscustomer** | **Boolean** | Is this a cannabis customer? | [optional] 
**channelprogramlevelname** | **String** | Channel Program Level Name | [optional] 
**channelprogramname** | **String** | Channel Program Name | [optional] 
**clientenddate** | **String** | Client End Date | [optional] 
**clientstartdate** | **String** | Client Start Date | [optional] 
**companyid** | **String** | The Company ID of this Account | [optional] 
**coordinateid** | **String** | The Id of the geo coordinates of this account | [optional] 
**createdbyid** | **String** | Created By User ID | [optional] 
**createddate** | **String** | Created Date | [optional] 
**customerid** | **String** | Customer ID from source system | [optional] 
**customerpriority** | **String** | Customer Priority | [optional] 
**dandbcompanyid** | **String** | D-n-B Company | [optional] 
**dba** | **String** | This Account&#39;s &#39;Doing Business As&#39; name | [optional] 
**defaultaddress** | [**Address**](Address.md) |  | [optional] 
**defaultbackendid** | **String** | Default Backend ID | [optional] 
**defaultdeliverycontactid** | **String** | Default Delivery Address Contact ID | [optional] 
**defaultenduserid** | **String** | Default End User Contact ID | [optional] 
**description** | **String** | Description | [optional] 
**dunsnumber** | **String** | D-U-N-S Number | [optional] 
**ein** | **String** | EIN | [optional] 
**email** | **String** | Main Account Email | [optional] 
**enrollmentstatus** | **String** | Enrollment Status | [optional] 
**fax** | **String** | Fax | [optional] 
**id** | **String** | Taxnexus Account Id | [optional] 
**industry** | **String** | Industry | [optional] 
**iscustomerportal** | **Boolean** | Customer Portal Account | [optional] 
**ispartner** | **Boolean** | Partner Account | [optional] 
**ispcustomer** | **Boolean** | ISP Customer? | [optional] 
**jigsaw** | **String** | Data.com Key | [optional] 
**lastmodifiedbyid** | **String** | Last Modified By User ID | [optional] 
**lastmodifieddate** | **String** | Last Modified Date | [optional] 
**mspcustomer** | **Boolean** | MSP Customer? | [optional] 
**naicscode** | **String** | NAICS Code | [optional] 
**naicsdesc** | **String** | NAICS Description | [optional] 
**name** | **String** | Account Name | [optional] 
**numberofemployees** | **Number** | Employee Count Estimate | [optional] 
**numberoflocations** | **Number** | Number of Locations Estimate | [optional] 
**opencharges** | **Number** | Open Charges | [optional] 
**ordercontactid** | **String** | Vendor Order Contact ID | [optional] 
**orderemail** | **String** | Order Email | [optional] 
**ownerid** | **String** | Account Owner User ID | [optional] 
**ownership** | **String** | Ownership | [optional] 
**parentfk** | **String** | Parent Foreign Key | [optional] 
**parentid** | **String** | Parent Account | [optional] 
**phone** | **String** | Phone | [optional] 
**placeid** | **String** | The ID of the Place situs record that applies to this Account | [optional] 
**preparerid** | **String** | Tax Preparer Contact ID | [optional] 
**rating** | **String** | Rating | [optional] 
**ratingengineid** | **String** | Rating Engine identifier | [optional] 
**ref** | **String** | External Reference ID | [optional] 
**revenuebase** | **Number** | Rollup Revenue Base | [optional] 
**revenuenet** | **Number** | Rollup Revenue Net | [optional] 
**revenuenottaxable** | **Number** | Rollup Revenue Not Taxable | [optional] 
**shippingaddress** | [**Address**](Address.md) |  | [optional] 
**shippingcensustract** | **String** | Shipping Census Tract | [optional] 
**shippingcounty** | **String** | Shipping County | [optional] 
**shippingcontactid** | **String** | Shipping Contact ID | [optional] 
**sic** | **String** | SIC Code | [optional] 
**sicdesc** | **String** | SIC Description | [optional] 
**site** | **String** | Account Site | [optional] 
**status** | **String** | Account Status | [optional] 
**taxexemption** | **String** | Tax Exemption | [optional] 
**taxontax** | **Number** | Rollup Tax On Tax | [optional] 
**telecomcustomer** | **Boolean** | Telecom Customer? | [optional] 
**tickersymbol** | **String** | Ticker Symbol | [optional] 
**tradestyle** | **String** | Tradestyle | [optional] 
**type** | **String** | Type | [optional] 
**unappliedpayments** | **Number** | Unapplied Payments | [optional] 
**unitbase** | **Number** | Rollup Unit Base | [optional] 
**upsellopportunity** | **String** | Upsell Opportunity | [optional] 
**website** | **String** | Website | [optional] 
**whmcsclientid** | **Number** | WHMCS Client ID | [optional] 
**xerocontactid** | **String** | Xero Contact ID | [optional] 
**yearstarted** | **String** | Year Started | [optional] 


