# SfGate.Contact

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**tenantid** | **String** | tenant identifier | [optional] 
**accountid** | **String** | The primary account ID of this contact | [optional] 
**assistantname** | **String** | Assistant Name | [optional] 
**assistantphone** | **String** | Asst. Phone | [optional] 
**birthdate** | **String** | Birthdate | [optional] 
**createdbyid** | **String** | Created By User ID | [optional] 
**createddate** | **String** | Created Date | [optional] 
**department** | **String** | Department | [optional] 
**description** | **String** | Description | [optional] 
**donotcall** | **Boolean** | Do Not Call? | [optional] 
**email** | **String** | Email address | [optional] 
**emailbounceddate** | **String** | Email Bounce Date | [optional] 
**emailbouncedreason** | **String** | Email Bounce Reason | [optional] 
**enrollmentstatus** | **String** | Taxnexus Enrollment Status | [optional] 
**fax** | **String** | Fax Number | [optional] 
**firstname** | **String** | First Name | [optional] 
**hasoptedoutofemail** | **Boolean** | Email Opt Out | [optional] 
**hasoptedoutoffax** | **Boolean** | Fax Opt Out | [optional] 
**homephone** | **String** | Home Phone | [optional] 
**id** | **String** | Taxnexus Record Id | [optional] 
**isemailbounced** | **Boolean** | Does this contact have bounced emails? | [optional] 
**isprovisioned** | **Boolean** | Is Provisioned? | [optional] 
**lastmodifiedbyid** | **String** | Last Modified By User ID | [optional] 
**lastmodifieddate** | **String** | Last Modified Date | [optional] 
**lastname** | **String** | Last Name | [optional] 
**leadsource** | **String** | Lead Source | [optional] 
**level** | **String** | Level | [optional] 
**linkedin** | **String** | LinkedIn Page | [optional] 
**mailingaddress** | [**Address**](Address.md) |  | [optional] 
**mailinglists** | **String** | Mailing Lists | [optional] 
**mobilephone** | **String** | Mobile Phone | [optional] 
**name** | **String** | Full Name | [optional] 
**otheraddress** | [**Address**](Address.md) |  | [optional] 
**otherphone** | **String** | Other Phone | [optional] 
**ownerid** | **String** | The User ID of the user who owns this Contact | [optional] 
**personalemail** | **String** | Personal Email Address for this Contact | [optional] 
**phone** | **String** | Phone Number | [optional] 
**photourl** | **String** | URL of a photograph of this User | [optional] 
**recruitingstatus** | **String** | Recruiting Status | [optional] 
**ref** | **String** | External reference to this contact, if any | [optional] 
**reportstoid** | **String** | Reports To Contact ID | [optional] 
**salutation** | **String** | Contact Salutation | [optional] 
**status** | **String** | The Contact Status | [optional] 
**title** | **String** | Contact Title | [optional] 
**type** | **String** | Contact Type | [optional] 


