# Auth.User

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**aboutMe** | **String** | About Me | [optional] 
**accountID** | **String** | Account ID | [optional] 
**address** | [**Address**](Address.md) |  | [optional] 
**alias** | **String** | Alias | [optional] 
**aPIKey** | **String** | API Key | [optional] 
**auth0UserID** | **String** | Auth0 User Id | [optional] 
**communityNickname** | **String** | Nickname | [optional] 
**companyName** | **String** | Company Name | [optional] 
**contactID** | **String** | Contact | [optional] 
**createdByID** | **String** | Created User ID | [optional] 
**createdDate** | **String** | Date Created | [optional] 
**delegatedApproverID** | **String** | Delegated Approver | [optional] 
**department** | **String** | Department | [optional] 
**division** | **String** | Division | [optional] 
**email** | **String** | Email address | [optional] 
**employeeNumber** | **String** | Employee Number | [optional] 
**endOfDay** | **String** | Time day ends | [optional] 
**environment** | **String** | Environment | [optional] 
**extension** | **String** | Extension | [optional] 
**fabricAPIKey** | **String** | Fabric API Key | [optional] 
**fax** | **String** | Fax | [optional] 
**firstName** | **String** | The first name | [optional] 
**forecastEnabled** | **Boolean** | Allow Forecasting | [optional] 
**fullPhotoURL** | **String** | Full Photo URL | [optional] 
**ID** | **String** | Taxnexus ID | [optional] 
**isActive** | **Boolean** | Active | [optional] 
**isPortalEnabled** | **Boolean** | Is the user enabled for Communities? | [optional] 
**isProphilePhotoActive** | **Boolean** | Has Profile Photo | [optional] 
**isSystemControlled** | **Boolean** |  | [optional] 
**lastModifiedByID** | **String** | Last Modified User ID | [optional] 
**lastModifiedDate** | **String** | Last Modified Date | [optional] 
**lastLogin** | **String** | Last login time | [optional] 
**lastIP** | **String** | IP address of last login | [optional] 
**loginCount** | **Number** | Number of times user has logged in | [optional] 
**lastName** | **String** | The Last Name | [optional] 
**managerID** | **String** | Manager | [optional] 
**mobilePhone** | **String** | Mobile | [optional] 
**name** | **String** | Name | [optional] 
**outOfOfficeMessage** | **String** | Out of office message | [optional] 
**phone** | **String** | Phone | [optional] 
**portalRole** | **String** | Portal Role Level | [optional] 
**profileID** | **String** | Profile | [optional] 
**receivesAdminInfoEmails** | **Boolean** | Admin Info Emails | [optional] 
**receivesAdminEmails** | **Boolean** | Info Emails | [optional] 
**senderEmail** | **String** | Email Sender Address | [optional] 
**senderName** | **String** | Email Sender Name | [optional] 
**signature** | **String** | Email Signature | [optional] 
**smallPhotoURL** | **String** | Small Photo URL | [optional] 
**startOfDay** | **String** | The time day starts | [optional] 
**taxnexusAccount** | **String** | Taxnexus Account | [optional] 
**tenantID** | **String** | Tenant ID associated with this user | [optional] 
**timeZone** | **String** | Time Zone | [optional] 
**title** | **String** | Title | [optional] 
**username** | **String** | Username | [optional] 
**userRoleID** | **String** | Role | [optional] 
**userType** | **String** | User Type | [optional] 
**userRoles** | [**[UserRole]**](UserRole.md) |  | [optional] 
**tenantUsers** | [**[TenantUser]**](TenantUser.md) |  | [optional] 


