# Board.Contact

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**accountID** | **String** | The primary account ID of this contact | [optional] 
**assistantName** | **String** | Assistant Name | [optional] 
**assistantPhone** | **String** | Asst. Phone | [optional] 
**birthDate** | **String** | Birthdate | [optional] 
**createdByID** | **String** | Created By User ID | [optional] 
**createdDate** | **String** | Created Date | [optional] 
**department** | **String** | Department | [optional] 
**description** | **String** | Description | [optional] 
**doNotCall** | **Boolean** | Do Not Call? | [optional] 
**email** | **String** | Email address | [optional] 
**emailBounceDate** | **String** | Email Bounce Date | [optional] 
**emailBouncedReason** | **String** | Email Bounce Reason | [optional] 
**enrollmentStatus** | **String** | Taxnexus Enrollment Status | [optional] 
**fax** | **String** | Fax Number | [optional] 
**firstName** | **String** | First Name | [optional] 
**hasOptedOutOfEmail** | **Boolean** | Email Opt Out | [optional] 
**hasOptedOutOfFax** | **Boolean** | Fax Opt Out | [optional] 
**homePhone** | **String** | Home Phone | [optional] 
**ID** | **String** | Taxnexus Record Id | [optional] 
**isEmailBounced** | **Boolean** | Does this contact have bounced emails? | [optional] 
**isProvisioned** | **Boolean** | Is Provisioned? | [optional] 
**lastModifiedByID** | **String** | Last Modified By User ID | [optional] 
**lastModifiedDate** | **String** | Last Modified Date | [optional] 
**lastName** | **String** | Last Name | [optional] 
**leadSource** | **String** | Lead Source | [optional] 
**level** | **String** | Level | [optional] 
**linkedIn** | **String** | LinkedIn Page | [optional] 
**mailingAddress** | [**Address**](Address.md) |  | [optional] 
**mailingLists** | **String** | Mailing Lists | [optional] 
**mobilePhone** | **String** | Mobile Phone | [optional] 
**name** | **String** | Full Name | [optional] 
**otherAddress** | [**Address**](Address.md) |  | [optional] 
**otherPhone** | **String** | Other Phone | [optional] 
**ownerID** | **String** | The User ID of the user who owns this Contact | [optional] 
**personalEmail** | **String** | Personal Email Address for this Contact | [optional] 
**phone** | **String** | Phone Number | [optional] 
**photoURL** | **String** | URL of a photograph of this User | [optional] 
**recruitingStatus** | **String** | Recruiting Status | [optional] 
**ref** | **String** | External reference to this contact, if any | [optional] 
**reportsToID** | **String** | Reports To Contact ID | [optional] 
**salutation** | **String** | Contact Salutation | [optional] 
**status** | **String** | The Contact Status | [optional] 
**tenantID** | **String** | Tenant Identifier | [optional] 
**title** | **String** | Contact Title | [optional] 
**type** | **String** | Contact Type | [optional] 


