# Board.CorsApi

All URIs are relative to *http://board.vernonkeenan.com:8080/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**developerOptions**](CorsApi.md#developerOptions) | **OPTIONS** /developers | 
[**iqOptions**](CorsApi.md#iqOptions) | **OPTIONS** /iqs | 
[**leadsOptions**](CorsApi.md#leadsOptions) | **OPTIONS** /leads | 
[**userAuthOptions**](CorsApi.md#userAuthOptions) | **OPTIONS** /userauths | 
[**userOptions**](CorsApi.md#userOptions) | **OPTIONS** /users | 



## developerOptions

> developerOptions()



CORS support

### Example

```javascript
import Board from 'board';

let apiInstance = new Board.CorsApi();
apiInstance.developerOptions((error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
});
```

### Parameters

This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## iqOptions

> iqOptions()



CORS support

### Example

```javascript
import Board from 'board';

let apiInstance = new Board.CorsApi();
apiInstance.iqOptions((error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
});
```

### Parameters

This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## leadsOptions

> leadsOptions()



CORS support

### Example

```javascript
import Board from 'board';

let apiInstance = new Board.CorsApi();
apiInstance.leadsOptions((error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
});
```

### Parameters

This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## userAuthOptions

> userAuthOptions()



CORS support

### Example

```javascript
import Board from 'board';

let apiInstance = new Board.CorsApi();
apiInstance.userAuthOptions((error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
});
```

### Parameters

This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## userOptions

> userOptions()



CORS support

### Example

```javascript
import Board from 'board';

let apiInstance = new Board.CorsApi();
apiInstance.userOptions((error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
});
```

### Parameters

This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

