# Crm.CorsApi

All URIs are relative to *http://crm.vernonkeenan.com:8080/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**accountOptions**](CorsApi.md#accountOptions) | **OPTIONS** /accounts | 
[**accountOptionsObservable**](CorsApi.md#accountOptionsObservable) | **OPTIONS** /accounts/observable | 
[**assetOptions**](CorsApi.md#assetOptions) | **OPTIONS** /assets | 
[**assetOptionsObservable**](CorsApi.md#assetOptionsObservable) | **OPTIONS** /assets/observable | 
[**contactOptions**](CorsApi.md#contactOptions) | **OPTIONS** /contacts | 
[**contactOptionsObservable**](CorsApi.md#contactOptionsObservable) | **OPTIONS** /contacts/observable | 
[**contractOptions**](CorsApi.md#contractOptions) | **OPTIONS** /contracts | 
[**contractOptionsObservable**](CorsApi.md#contractOptionsObservable) | **OPTIONS** /contracts/observable | 
[**leadOptions**](CorsApi.md#leadOptions) | **OPTIONS** /leads | 
[**leadOptionsObservable**](CorsApi.md#leadOptionsObservable) | **OPTIONS** /leads/observable | 



## accountOptions

> accountOptions()



CORS support

### Example

```javascript
import Crm from 'crm';

let apiInstance = new Crm.CorsApi();
apiInstance.accountOptions((error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
});
```

### Parameters

This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## accountOptionsObservable

> accountOptionsObservable()



CORS support

### Example

```javascript
import Crm from 'crm';

let apiInstance = new Crm.CorsApi();
apiInstance.accountOptionsObservable((error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
});
```

### Parameters

This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## assetOptions

> assetOptions()



CORS support

### Example

```javascript
import Crm from 'crm';

let apiInstance = new Crm.CorsApi();
apiInstance.assetOptions((error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
});
```

### Parameters

This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## assetOptionsObservable

> assetOptionsObservable()



CORS support

### Example

```javascript
import Crm from 'crm';

let apiInstance = new Crm.CorsApi();
apiInstance.assetOptionsObservable((error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
});
```

### Parameters

This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## contactOptions

> contactOptions()



CORS support

### Example

```javascript
import Crm from 'crm';

let apiInstance = new Crm.CorsApi();
apiInstance.contactOptions((error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
});
```

### Parameters

This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## contactOptionsObservable

> contactOptionsObservable()



CORS support

### Example

```javascript
import Crm from 'crm';

let apiInstance = new Crm.CorsApi();
apiInstance.contactOptionsObservable((error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
});
```

### Parameters

This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## contractOptions

> contractOptions()



CORS support

### Example

```javascript
import Crm from 'crm';

let apiInstance = new Crm.CorsApi();
apiInstance.contractOptions((error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
});
```

### Parameters

This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## contractOptionsObservable

> contractOptionsObservable()



CORS support

### Example

```javascript
import Crm from 'crm';

let apiInstance = new Crm.CorsApi();
apiInstance.contractOptionsObservable((error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
});
```

### Parameters

This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## leadOptions

> leadOptions()



CORS support

### Example

```javascript
import Crm from 'crm';

let apiInstance = new Crm.CorsApi();
apiInstance.leadOptions((error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
});
```

### Parameters

This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## leadOptionsObservable

> leadOptionsObservable()



CORS support

### Example

```javascript
import Crm from 'crm';

let apiInstance = new Crm.CorsApi();
apiInstance.leadOptionsObservable((error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
});
```

### Parameters

This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

